Results 1 to 8 of 8

Thread: Posts from specific feed not downloading/streaming

  1. #1
    Junior Member
    Join Date
    Apr 2019
    Posts
    2

    Posts from specific feed not downloading/streaming

    Hi there any idea how to resolve this issue, latest android OS, latest beyondpod (4.2.41) getting the following error in the log when trying to download any episode from a subscriber feed “SSLHandshakeException - java.security.cert.CertPathValidatorException: Trust anchor for certification path not found. -> CertificateException - java.security.cert.CertPathValidatorException: Trust anchor for certification path not found. -> CertPathValidatorException - Trust anchor for certification path not found."

    Tried deleting feed then re adding both from search and from url neither worked. Feed worked fine until a few weeks ago, feed works fine on other podcast clients. All other feeds functioning normally in BP.

  2. #2
    BeyondPod Team
    Join Date
    Mar 2017
    Location
    US
    Posts
    769
    Quote Originally Posted by stuq1822 View Post
    Hi there any idea how to resolve this issue, latest android OS, latest beyondpod (4.2.41) getting the following error in the log when trying to download any episode from a subscriber feed “SSLHandshakeException - java.security.cert.CertPathValidatorException: Trust anchor for certification path not found. -> CertificateException - java.security.cert.CertPathValidatorException: Trust anchor for certification path not found. -> CertPathValidatorException - Trust anchor for certification path not found."

    Tried deleting feed then re adding both from search and from url neither worked. Feed worked fine until a few weeks ago, feed works fine on other podcast clients. All other feeds functioning normally in BP.
    Hello,

    Please provide the name and url of the feed you are having issues with.

  3. #3
    Junior Member
    Join Date
    Apr 2019
    Posts
    2
    Hi, name is “LSE: public lectures and events”.

    URL is http://www.lse.ac.uk/assets/richmedi...TunesStore.xml

  4. #4
    Junior Member
    Join Date
    May 2019
    Posts
    2

    Similar problem - specific feed stopped downloading with Handshake error

    Quote Originally Posted by KimW View Post
    Hello,

    Please provide the name and url of the feed you are having issues with.

    Hi Kim. I'm having a very similar problem that began May 2. I have one podcast based on a URL (it's a paid subscription.) It has stopped updating with the below error message. I have tried deleting and re-adding but get an invalid feed address error. It works on other players and is a valid link.

    https://www.stephaniemiller.com/feed/rss/
    (this is not the full URL, I truncated my Member Key)

    Here's the error:
    SSLHandshakeException - Chain validation failed
    -> CertificateException - Chain validation failed
    -> CertPathValidatorException - Response is unreliable: its validity interval is out-of-date
    -> CertPathValidatorException - Response is unreliable: its validity interval is out-of-date

  5. #5
    BeyondPod Team
    Join Date
    Mar 2017
    Location
    US
    Posts
    769
    Quote Originally Posted by stuq1822 View Post
    Hi, name is “LSE: public lectures and events”.

    URL is http://www.lse.ac.uk/assets/richmedi...TunesStore.xml
    Unfortunately, we are not able to reproduce your issue with this feed. We can subscribe and download all episodes without any errors or issues. Are you still experiencing this issue with this feed?

  6. #6
    BeyondPod Team
    Join Date
    Mar 2017
    Location
    US
    Posts
    769
    Quote Originally Posted by normalasf View Post
    Hi Kim. I'm having a very similar problem that began May 2. I have one podcast based on a URL (it's a paid subscription.) It has stopped updating with the below error message. I have tried deleting and re-adding but get an invalid feed address error. It works on other players and is a valid link.

    https://www.stephaniemiller.com/feed/rss/
    (this is not the full URL, I truncated my Member Key)

    Here's the error:
    SSLHandshakeException - Chain validation failed
    -> CertificateException - Chain validation failed
    -> CertPathValidatorException - Response is unreliable: its validity interval is out-of-date
    -> CertPathValidatorException - Response is unreliable: its validity interval is out-of-date
    Hello,

    Do you have your subscirbtion login information entered into the feed settings on BP? (Open feed>> Click 3 dot icon in the top right corner>> edit feed>> advanced settings >> Feed Authentication)

  7. #7
    Junior Member
    Join Date
    May 2019
    Posts
    2
    Turns out it was on the provider's side. They removed an expired plug in and my updates resumed as expected. Thanks for the follow-up!

  8. #8
    BeyondPod Team
    Join Date
    Mar 2017
    Location
    US
    Posts
    769
    Quote Originally Posted by normalasf View Post
    Turns out it was on the provider's side. They removed an expired plug in and my updates resumed as expected. Thanks for the follow-up!
    Glad you were able to get that worked out. Thank you for updating us!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •